import { type DomainEvent } from '@modules/shared';

export class EscrowHeldEvent implements DomainEvent {
  readonly eventName = 'escrow.held';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly orderId: string,
    public readonly amountVND: bigint,
  ) {}
}
